<script setup>
import { useUserStore } from "@/store/user.js"
import {ref} from "vue"
import {useRouter} from "vue-router"

const userStore = useUserStore()
const email = ref("")
const password = ref("")
const router = useRouter()

const handleSubmit = () => {
    if(!email.value || password.value.length < 5){
        return alert("Rellena el formulario!")
    }else {
        userStore.registerUser(email.value, password.value)
    }
}

</script>

<template>
    <h1 class="mb-4">Registro</h1>
    <form @submit.prevent="handleSubmit" class="container-fluid d-flex flex-column">
        <div class="form-group">
            <label for="exampleInputEmail1">Correo</label>
            <input 
                type="email" 
                class="form-control" 
                id="exampleInputEmail1" 
                aria-describedby="emailHelp"
                placeholder="Ingrese su correo"
                autocomplete="username"
                v-model.trim="email"
            >
        </div>
        <div class="form-group mb-2">
            <label for="exampleInputPassword1">Contraseña</label>
            <input 
                type="password" 
                class="form-control" 
                id="exampleInputPassword1" 
                placeholder="Ingrese su contraseña"
                autocomplete="current-password"
                v-model.trim="password"
            >
        </div>
        <button type="submit" class="btn btn-primary" :disabled="userStore.loadingUser">Crear usuario</button>
    </form>
</template>